Remove a contact from an audience

DELETE
/v1/audiences/{id}/contacts/{contact_id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Path Parameters

id*string

The audience's id.

contact_id*string

The contact's id, or its address (URL-encoded).

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The contact left the audience.

application/json
  1. response
object*"audience_contact"
Value in"audience_contact"
audience_id*string
contact_id*string
deleted*true
Value intrue
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.email.audiences.removeContact("aud_01k7c8m4q2f3e9v6t5r1n0p8yz", "contact_01k7c8m4q2f3e9v6t5r1n0p8yz");
{  "object": "audience_contact",  "audience_id": "string",  "contact_id": "string",  "deleted": true}